Skip to main content
POST
/
admin
/
users
/
{user_id}
/
demote
Error
A valid request URL is required to generate request examples
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "email": "jsmith@example.com",
  "is_active": true,
  "is_superuser": true,
  "is_verified": true,
  "first_name": "<string>",
  "last_name": "<string>",
  "last_login_at": "2023-11-07T05:31:56Z"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

user_id
string<uuid>
required

Response

Successful Response

Admin view of a user.

id
string<uuid>
required
email
string<email>
required
role
enum<string>
required
Available options:
basic,
admin
is_active
boolean
required
is_superuser
boolean
required
is_verified
boolean
required
first_name
string | null
last_name
string | null
last_login_at
string<date-time> | null